<?php
use \Etn\Utils\Helper;
defined('ABSPATH') || exit;

$single_event_id = get_the_id();

$etn_start_date   = get_post_meta( get_the_ID(), 'etn_start_date', true );
$etn_end_date   = get_post_meta( get_the_ID(), 'etn_end_date', true );
$etn_start_time   = get_post_meta( get_the_ID(), 'etn_start_time', true );
$etn_end_time   = get_post_meta( get_the_ID(), 'etn_end_time', true );
$etn_event_location = get_post_meta( get_the_ID(), 'etn_event_location', true );

$category = Helper::cate_with_link( $single_event_id, 'etn_category' );
$category = ! empty( $category ) ? $category : "";

if( ( ETN_DEMO_SITE === false ) || ( ETN_DEMO_SITE == true && ETN_EVENT_TEMPLATE_TWO_ID != get_the_ID(  ) && ETN_EVENT_TEMPLATE_THREE_ID != get_the_ID(  )) ){
?>
<?php do_action("etn_before_single_event_details", $single_event_id); ?>

<div class="etn-event-single-wrap event-detail">
    <div class="auto-container">

        <?php  do_action("etn_before_single_event_container", $single_event_id); ?>

        <?php if (has_post_thumbnail() && !post_password_required()) : ?>
            <div class="event-detail_image">
                <?php echo get_the_post_thumbnail(); ?>
            </div>
        <?php endif; ?>
        
        <!-- Row start -->
        <div class="etn-row">
            <div class="etn-col-lg-8">

                <?php do_action("etn_before_single_event_content_wrap", $single_event_id); ?>

                <div class="event-detail_time"><?php echo wp_kses( $etn_start_date, true );?> - <?php echo wp_kses( $etn_start_time, true );?></div>
                
                <div class="event-detail_time te-event-detail_date"><?php echo wp_kses( $etn_end_date, true );?> - <?php echo wp_kses( $etn_end_time, true );?></div>
                <div class="te-event-detail__meta d-flex align-items-center">
					<?php  if (isset($etn_event_location) && $etn_event_location != '') { ?>
                        <div class="event-detail_location">
                            <i class="fa-solid fa-location-dot fa-fw"></i>
                            <?php
                                echo esc_html($etn_event_location); 
                            ?>
                        </div>
                    <?php } ?>
                    <div class="te-event__category">
                    	<i class="fa-solid fa-tag fa-fw"></i>
						<?php echo wp_kses( $category, true ); ?>
                    </div>
                </div>
                <h3 class="event-detail_heading"><?php the_title();?></h3>
                
                <div class="te-event-single__wrap">
                    
					<?php do_action("etn_before_single_event_content_body", $single_event_id); ?>

                    <div class="etn-event-content-body">
                        <?php echo apply_filters( 'etn_single_event_content_body', the_content() ); ?>
                    </div>

                    <?php do_action("etn_after_single_event_content_body", $single_event_id); ?>	

                </div>

				<?php do_action("etn_after_single_event_details_rsvp_form", $single_event_id); ?>

                <?php do_action("etn_after_single_event_content_wrap", $single_event_id); ?>

            </div><!-- col end -->

            <div class="etn-col-lg-4">
                <div class="etn-sidebar">

                    <?php do_action("etn_before_single_event_meta", $single_event_id); ?>

                    <!-- event schedule meta end -->
                    <?php do_action("etn_single_event_meta", $single_event_id); ?>
                    <!-- event schedule meta end -->

                    <?php do_action("etn_after_single_event_meta", $single_event_id); ?>

                </div>
                <!-- etn sidebar end -->
            </div>
            <!-- col end -->
        </div>
        <!-- Row end -->

        <?php  do_action("etn_after_single_event_container", $single_event_id); ?>

    </div>
</div>

<?php do_action("etn_after_single_event_details", $single_event_id); ?>

<?php } ?>