<?php
/**
 * The header for our theme
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @package ALQURAN
 * @since   1.0
 * @version 1.0
 */
$options = alquran_WSH()->option();
$icon_href = $options->get( 'image_favicon' ); 
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ): ?>
    <?php if($icon_href):?>
		<link rel="shortcut icon" href="<?php echo esc_url($icon_href['url']); ?>" type="image/x-icon">
		<link rel="icon" href="<?php echo esc_url($icon_href['url']); ?>" type="image/x-icon">
	<?php endif; ?>
    <?php endif; ?>
	<!-- responsive meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- For IE -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head(); ?>
</head>


<body <?php body_class(); ?>> 

<?php
if ( ! function_exists( 'wp_body_open' ) ) {
		function wp_body_open() {
			do_action( 'wp_body_open' );
		}
}
?>

	<?php 
		$layout_meta = get_post_meta( get_the_ID(), 'show_dark_layout');
		$layout_option = $options->get( 'show_dark_layout' );
		$layout = ( $layout_meta ) ? $layout_meta['0'] : $layout_option;
	
		if( $layout == true ){
			$mount_layout = 'dark-layout';
		} else {
			$mount_layout = 'light-layout';
		}
	
	//print_r( $dark_layout ); exit();
	?>
	
	<div class="page-wrapper <?php echo esc_attr( $mount_layout );?>">

    <?php if( $options->get( 'theme_preloader' ) ):?>
	<!-- Preloader -->
    <div class="preloader"></div>
	<!-- End Preloader -->
	<?php endif; ?>
    
    <?php if( $options->get( 'theme_cursor' ) ):?>
     <!-- Cursor -->
	<div class="cursor"></div>
	<div class="cursor-follower"></div>
	<!-- Cursor End -->
	<?php endif; ?>
    
	<?php do_action( 'alquran_main_header' ); ?>	