<?php

return array(
	'title'      => esc_html__( 'Footer Setting', 'alquran' ),
	'id'         => 'footer_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'footer_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Footer Source Type', 'alquran' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'alquran' ),
				'e' => esc_html__( 'Elementor', 'alquran' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'footer_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'alquran' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'footer_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'footer_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Settings', 'alquran' ),
			'required' => array( 'footer_source_type', '=', 'd' ),
		),
		array(
		    'id'       => 'footer_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Footer Styles', 'alquran' ),
		    'subtitle' => esc_html__( 'Choose Footer Styles', 'alquran' ),
		    'options'  => array(

			    'footer_v1'  => array(
				    'alt' => esc_html__( 'Footer Style 1', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v1.png',
			    ),
				'footer_v2'  => array(
				    'alt' => esc_html__( 'Footer Style 2', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v2.png',
			    ),
				'footer_v3'  => array(
				    'alt' => esc_html__( 'Footer Style 3', 'alquran' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer_v3.png',
			    ),
			),
			'required' => array( 'footer_source_type', '=', 'd' ),
			'default' => 'footer_v1',
	    ),
		
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style One Settings', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Call To Action
		array(
            'id' => 'show_cta_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Call To Action', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
        ),
		array(
            'id' => 'mosque_logo_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Mosque Logo', 'alquran'),
            'default' => false,
			'required' => array( 'show_cta_v1', '=', true ),
        ),
		array(
			'id'      => 'cta_title_v1',
			'type'    => 'textarea',
			'title'   => __( 'CTA Title', 'alquran' ),
			'required' => array( 'show_cta_v1', '=', true ),
		),
		array(
            'id' => 'show_btn_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
			'required' => array( 'show_cta_v1', '=', true ),
        ),
		array(
			'id'      => 'btn_title_v1',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		array(
			'id'      => 'btn_link_v1',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_btn_v1', '=', true ),
		),
		//Footer Bg Image
		array(
            'id' => 'show_footer_img_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Bg Image', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
        ),
		array(
			'id'       => 'footer_img_v1',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer Bg Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert Footer Image', 'alquran' ),
			'required' => array( 'show_footer_img_v1', '=', true ),
		),
		//Coypright
		array(
			'id'      => 'copyright_text_v1',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		//Footer Menu
		array(
            'id' => 'show_footer_menu_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Menu', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
        ),
		/***********************************************************************
								Footer Version 2 Start
		************************************************************************/
		array(
			'id'       => 'footer_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Two Settings', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
        //Footer Bg Image
		array(
            'id' => 'show_footer_img_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Bg Image', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
        ),
		array(
			'id'       => 'footer_img_v2',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer Bg Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert Footer Image', 'alquran' ),
			'required' => array( 'show_footer_img_v2', '=', true ),
		),
		//Coypright
		array(
			'id'      => 'copyright_text_v2',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
		),
		//Footer Menu
		array(
            'id' => 'show_footer_menu_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Menu', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v2' ),
        ),
		/***********************************************************************
								Footer Version 3 Start
		************************************************************************/
		array(
			'id'       => 'footer_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style Three Settings', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
		),
		//Call To Action
		array(
            'id' => 'show_cta_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Call To Action', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		array(
			'id'       => 'cta_bg_v3',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'CTA Bg Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert CTA BG Image', 'alquran' ),
			'required' => array( 'show_cta_v3', '=', true ),
		),
		array(
            'id' => 'mosque_logo_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Mosque Logo', 'alquran'),
            'default' => false,
			'required' => array( 'show_cta_v3', '=', true ),
        ),
		array(
			'id'       => 'icon_img_v3',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'CTA Icon Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert CTA Icon Image', 'alquran' ),
			'required' => array(
				array('show_cta_v3', '=', true),       // Condition 1
				array('mosque_logo_v3', '=', true) // Condition 2
			),
		),
		array(
			'id'      => 'cta_title_v3',
			'type'    => 'textarea',
			'title'   => __( 'CTA Title', 'alquran' ),
			'required' => array( 'show_cta_v3', '=', true ),
		),
		array(
            'id' => 'show_btn_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Button', 'alquran'),
            'default' => false,
			'required' => array( 'show_cta_v3', '=', true ),
        ),
		array(
			'id'      => 'btn_title_v3',
			'type'    => 'text',
			'title'   => __( 'Button Title', 'alquran' ),
			'required' => array( 'show_btn_v3', '=', true ),
		),
		array(
			'id'      => 'btn_link_v3',
			'type'    => 'text',
			'title'   => __( 'Button Link', 'alquran' ),
			'required' => array( 'show_btn_v3', '=', true ),
		),
		//Footer Bg Image
		array(
            'id' => 'show_footer_img_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Bg Image', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		array(
			'id'       => 'footer_img_v3',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Footer Bg Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert Footer Image', 'alquran' ),
			'required' => array( 'show_footer_img_v3', '=', true ),
		),
		array(
			'id'       => 'footer_bg_img_v3',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Bottom Footer Bg Image', 'alquran' ),
			'subtitle' => esc_html__( 'Insert Bottom Footer Image', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
		),
		//Coypright
		array(
			'id'      => 'copyright_text_v3',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'alquran' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
		),
		//Footer Menu
		array(
            'id' => 'show_footer_menu_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Footer Menu', 'alquran'),
            'default' => false,
			'required' => array( 'footer_style_settings', '=', 'footer_v3' ),
        ),
		array(
			'id'       => 'footer_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'footer_source_type', '=', 'd' ],
		),
	),
);
