<?php
/**
 * Default Template Main File.
 *
 * @package ALQURAN
 * @author  TheMazine
 * @version 1.0
 */

get_header();
$data  = \ALQURAN\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'full';
$sidebar = ( $sidebar ) ? $sidebar : '';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xl-12 col-lg-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'alquran_banner', $data );?>
<?php else:?>

<!-- Page Title -->
<section class="page-title" <?php if( $data->get( 'banner' ) ){?>style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')"<?php };?>>
    <div class="auto-container">
        <h2><?php if ($data->get('title')) { echo wp_kses($data->get('title'), true); } else { the_title(); } ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>

<!-- Sidebar Page Container -->
<div class="sidebar-page-container">
    <div class="auto-container">
        <div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'alquran_sidebar', $data );
				}
			?>
            <div class="content-side <?php echo esc_attr( $class ); ?> <?php if ( $data->get( 'layout' ) == 'left' ) echo 'pl-0'; elseif ( $data->get( 'layout' ) == 'right' ) echo ''; ?>">
                <div class="blog-list">
                    <div class="thm-unit-test">
                            
                        <?php while ( have_posts() ): the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; ?>
                        
                        <div class="clearfix"></div>
                        <?php
                        $defaults = array(
                            'before' => '<div class="paginate-links">' . esc_html__( 'Pages:', 'alquran' ),
                            'after'  => '</div>',
        
                        );
                        wp_link_pages( $defaults );
                        ?>
                        <?php comments_template() ?>
                     
                     </div>
                 </div>
            </div>
            <?php
				if ( $layout == 'right' ) {
					$data->set('sidebar', 'default-sidebar');
					do_action( 'alquran_sidebar', $data );
				}
            ?>
        
        </div>
	</div>
</div>
<!-- blog section with pagination -->

<?php get_footer(); ?>
