<?php get_header();
$data = \ALQURAN\Includes\Classes\Common::instance()->data('single-service')->get(); ?>

<!-- Page Title -->
<section class="page-title" style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')">
    <div class="auto-container">
        <h2><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php 
     while (have_posts()) : the_post(); 
	$show_feature_info = get_post_meta( get_the_id(), 'show_feature_info', true );
	$info_image = get_post_meta( get_the_id(), 'info_image', true );
?>
	<!-- Service Detail -->
	<section class="service-detail">
		<div class="auto-container">
			<div class="content" style="background-image:url(<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/background/service-detail.png)">
				<div class="service-detail_icon <?php echo wp_kses(str_replace( "icon ",  "", get_post_meta(get_the_id(), 'service_icon', true )), true); ?>"></div>
				<h3 class="service-detail_heading"><?php the_title(); ?></h3>
                 <?php the_content(); ?>
			</div>
			<div class="row clearfix">
				<?php 
					$show_feature_info = get_post_meta( get_the_id(), 'show_feature_info', true );
					if($show_feature_info){
				?>
				<!-- Content Column -->
				<div class="service-detail_content-column col-lg-6 col-md-12 col-sm-12">
					<div class="service-detail_content-outer">
						<h4 class="service-detail_lower-title"><?php echo (get_post_meta( get_the_id(), 'feature_title', true ));?></h4>
						<?php echo (get_post_meta( get_the_id(), 'feature_text', true ));?>
						<ul class="service-detail_list">
							<?php echo (get_post_meta( get_the_id(), 'feature_list', true ));?>
						</ul>
					</div>
				</div>
				<!-- Content Column -->
				<div class="service-detail_image-column col-lg-6 col-md-12 col-sm-12">
					<?php if($info_image){ ?>
                    <div class="service-detail_image-outer">
						<div class="service-detail_image">
							<img src="<?php echo esc_url( wp_get_attachment_url( $info_image[ 'id' ] ) );?>" alt="<?php esc_attr_e('Awesome Image', 'alquran'); ?>" />
						</div>
					</div>
                    <?php } ?>
				</div>
				<?php } ?>
			</div>
		</div>
	</section>
	<!-- End Service Detail -->
	
    <?php 
		  $switcher = get_post_meta( get_the_id(), 'show_service_layout', true );
		  $s_feature_repeater = get_post_meta( get_the_id(), 's_feature', true );
		  if( $switcher ){
	 ?>
    <!-- Gallery Two / Style Two -->
    <section class="gallery-two style-two">
        <div class="outer-container">
            <div class="gallery-two_carousel swiper-container">
                <div class="swiper-wrapper">
        			<?php 
						for ( $i=0; $i < count( $s_feature_repeater['s_link'] ); $i++ ) {
							$rep_link = ( isset( $s_feature_repeater['s_link'][$i] ) && !empty( $s_feature_repeater['s_link'][$i] ) ) ? $s_feature_repeater['s_link'][$i] : '';
							$rep_img = ( isset( $s_feature_repeater['s_img'][$i] ) && !empty( $s_feature_repeater['s_img'][$i] ) ) ? $s_feature_repeater['s_img'][$i] : '';
					?>
					<!-- Slide -->
					<div class="swiper-slide">
						<!-- Gallery Block Two -->
						<div class="gallery-block_two">
							<div class="gallery-block_two-inner">
								<div class="gallery-block_two-image">
									<img src="<?php echo wp_get_attachment_url($rep_img['id']);?>" alt="<?php esc_attr_e( 'Awesome Image', 'alquran' );?>" />
									<?php if($rep_link){ ?><a class="gallery-block_two-arrow theme-btn flaticon-up-right-arrow" href="<?php echo wp_kses( $rep_link, true );?>"></a><?php } ?>
								</div>
							</div>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>

		</div>
	</section>
	<!-- End Gallery Two -->
	<?php } ?>
    
<?php endwhile; ?>

<?php get_footer(); ?>