<?php
/**
 * Blog Post Main File.
 *
 * @package ALQURAN
 * @author  Template Path
 * @version 1.0
 */

get_header();
$options = alquran_WSH()->option();

$data    = \ALQURAN\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'full';
$sidebar = ( $sidebar ) ? $sidebar : '';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xl-12 col-lg-12 col-sm-12 col-md-12' : 'col-xl-8 col-lg-7';


if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'alquran_banner', $data );?>
<?php else:?>

 <!-- Page Title -->
<section class="page-title" <?php if( $data->get( 'banner' ) ){?>style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')"<?php };?>>
    <div class="auto-container">
        <h2><?php if ($data->get('title')) { echo wp_kses($data->get('title'), true); } else { the_title(); } ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>

<!-- Sidebar Page Container -->
<div class="sidebar-page-container">
    <div class="auto-container">
        <div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'alquran_sidebar', $data );
				}
			?>
            <div class="content-side <?php echo esc_attr( $class ); ?>">
            	
				<?php while ( have_posts() ) : the_post(); ?>				
                <div class="blog-detail">              	
                    <div class="thm-unit-test"> 
                    	<div class="blog-detail_outer">
							<?php if( has_post_thumbnail() ){?>
                            <div class="blog-detail_image">
								<?php the_post_thumbnail('full'); ?>
							</div>
                            <?php } ?>
                            <div class="blog-detail_content">
                            	 <div class="alquran-meta d-flex align-items-center flex-wrap">
									<?php if(! $options->get('single_post_author')){ ?>
                                    <!-- Author -->
                                    <div class="blog-detail_author d-flex align-items-center">
                                        <?php if($avatar = get_avatar(get_the_author_meta('ID')) !== FALSE): ?>
                                        <div class="image">
                                            <?php echo get_avatar(get_the_author_meta('ID'), 30); ?>
                                        </div>
                                        <?php endif; ?>
                                        <?php the_author(); ?>
                                    </div>
                                    <?php } ?>
                                    <!-- Post Meta -->
                                    <ul class="blog-detail_meta">
                                        <?php if(! $options->get('single_post_comments')){ ?><li><span class="icon fab fa-rocketchat"></span><?php comments_number( wp_kses(__('0 Comments' , 'alquran'), true), wp_kses(__('01 Comment' , 'alquran'), true), wp_kses(__('0% Comments' , 'alquran'), true)); ?></li><?php } ?>
                                        <?php if(! $options->get('single_post_date')){ ?><li><span class="icon fa-solid fa-clock fa-fw"></span><?php echo get_the_date();?></li><?php } ?>
                                    </ul>
                                </div>
                                
                                <div class="text">
                                    <?php the_content(); ?>
                                </div>
                                <div class="clearfix"></div>
                                <?php wp_link_pages(array('before'=>'<div class="paginate-links m-t30">'.esc_html__('Pages: ', 'alquran'), 'after' => '</div>', 'link_before'=>'<span>', 'link_after'=>'</span>')); ?>
                                
                                <!-- Post Share Options-->
                                <?php if(has_tag() || function_exists('bunch_share_us_two')){ ?>
                                <div class="post-share-options">
                                    <div class="post-share-inner d-flex justify-content-between align-items-center flex-wrap">
                                        <?php if(has_tag()){ ?>
                                        <div class="tags"><span><?php esc_html_e('Tags:', 'alquran'); ?></span><?php the_tags( '', '', '' ); ?></div>
                                        <?php } ?>
                                        
                                        <?php if(function_exists('bunch_share_us_two')){ ?>
										<?php echo (bunch_share_us_two(get_the_id(),$post->post_name ));?>
                                        <?php } ?>
                                    </div>
                                </div>
                                <?php } ?>
                                  
                                <!--End post-details-->
                                <?php comments_template(); ?>
                            </div>
                        </div>
                	</div>
					<!--End thm-unit-test-->
                </div>
                <!--End blog-content-->
				<?php endwhile; ?>
                
            </div>
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'alquran_sidebar', $data );
				}
			?>
        </div>  
    </div>
</div>
<!--End blog area--> 

<?php
}
get_footer();
