<?php
/**
 * Tag Main File.
 *
 * @package ALQURAN
 * @author  TheMazine
 * @version 1.0
 */

get_header();
global $wp_query;
$data  = \ALQURAN\Includes\Classes\Common::instance()->data( 'tag' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xl-12 col-lg-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'alquran_banner', $data );?>
<?php else:?>

<!-- Page Title -->
<section class="page-title" <?php if( $data->get( 'banner' ) ){?>style="background-image:url('<?php echo esc_url( $data->get( 'banner' ) ); ?>')"<?php };?>>
    <div class="auto-container">
        <h2><?php if ($data->get('title')) { echo wp_kses($data->get('title'), true); } else { single_tag_title(); } ?></h2>
        <ul class="bread-crumb clearfix">
            <?php echo alquran_the_breadcrumb(); ?>
        </ul>
    </div>
</section>
<!-- End Page Title -->

<?php endif;?>

<!-- Sidebar Page Container -->
<div class="sidebar-page-container">
    <div class="auto-container">
        <div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'alquran_sidebar', $data );
				}
			?>
            <div class="content-side <?php echo esc_attr( $class ); ?> <?php if ( $data->get( 'layout' ) == 'left' ) echo 'pl-0'; elseif ( $data->get( 'layout' ) == 'right' ) echo ''; ?>">
                <div class="blog-list">
                    <div class="thm-unit-test">
                        
                        <?php
                            while ( have_posts() ) :
                                the_post();
                                alquran_template_load( 'templates/blog/blog.php', compact( 'data' ) );
                            endwhile;
                            wp_reset_postdata();
                        ?>
                            
                    </div>
                    
                    <!--Pagination-->
                    <div class="pagination-wrapper centred">
                    	<?php alquran_the_pagination( $wp_query->max_num_pages );?>
                    </div>
                </div>
            </div>
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'alquran_sidebar', $data );
				}
			?>
        </div>
    </div>
</div> 
<!--End blog area--> 

<?php
}
get_footer();
