<?php
/**
 * Footer Template  File
 *
 * @package ALQURAN
 * @author  Template Path
 * @version 1.0
 */

$options = alquran_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$footer_img_v2 = $options->get( 'footer_img_v2' );
$footer_img_v2 = alquran_set( $footer_img_v2, 'url');

?>

	<!-- Footer Style -->
	<footer class="main-footer style-two">
		<?php if($options->get('show_footer_img_v2')){ ?>
        <div class="footer_bg-image" style="background-image: url('<?php echo esc_url($footer_img_v2); ?>');"></div>
		<?php } ?>
		<div class="auto-container">
			<div class="inner-container">
				<?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>
                <!-- Widgets Section -->
				<div class="widgets-section">
					<div class="row clearfix">
						<?php dynamic_sidebar( 'footer-sidebar' ); ?>
					</div>
				</div>
                <?php } ?>
			</div>
		</div>
		<div class="footer-bottom">
			<div class="footer_bottom-bg" style="background-image: url(<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/background/footer-bg_2.jpg)"></div>
			<div class="auto-container">
				<div class="d-flex justify-content-between align-items-center flex-wrap">
					<div class="copyright"><?php echo wp_kses($options->get('copyright_text_v2', 'Copyright © 2023. All Rights Reserved.'), true); ?></div>
					<?php if( $options->get('show_footer_menu_v2') ){ ?>
                    <ul class="footer-nav">
						<?php wp_nav_menu( array( 'theme_location' => 'footer_menu', 'container_id' => 'navbar-collapse-1',
							'container_class'=>'navbar-collapse collapse navbar-right',
							'menu_class'=>'nav navbar-nav',
							'fallback_cb'=>false,
							'items_wrap' => '%3$s',
							'container'=>false,
							'depth'=>'1',
							'walker'=> new Bootstrap_walker()
						)); ?>
					</ul>
                    <?php } ?>
				</div>
			</div>
		</div>
	</footer>
	<!-- End Footer Style -->