<?php
/**
 * Footer Template  File
 *
 * @package ALQURAN
 * @author  Template Path
 * @version 1.0
 */

$options = alquran_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );
$cta_bg_v3 = $options->get( 'cta_bg_v3' );
$icon_img_v3 = $options->get( 'icon_img_v3' );
$footer_img_v3 = $options->get( 'footer_img_v3' );
$footer_img_v3 = alquran_set( $footer_img_v3, 'url');
$footer_bg_img_v3 = $options->get( 'footer_bg_img_v3' );
?>
    <?php if($options->get('show_cta_v3')){ ?>
    <!-- CTA One -->
	<section class="cta-two style-two">
		<div class="auto-container">
			<div class="inner-container d-flex justify-content-between align-items-center flex-wrap">
				<div class="cta-two_bg" style="background-image:url(<?php echo esc_url( $cta_bg_v3['url'] ); ?>"></div>
				<?php if($options->get('mosque_logo_v3')){ ?>
					<div class="cta-two_icon">
						<img src="<?php echo esc_url( $icon_img_v3['url'] ); ?>" alt= "<?php bloginfo( 'name' );?>" />
					</div>
				<?php } ?>
				<?php if($options->get('cta_title_v3')){ ?>
                <h3 class="cta-two_heading"><?php echo wp_kses($options->get('cta_title_v3'), true); ?></h3>
                <?php } ?>
                <?php if($options->get('show_btn_v3')){ ?>
				<!-- Button Box -->
				<div class="cta-two_button">
					<a href="<?php echo esc_url($options->get('btn_link_v3'), true); ?>" class="theme-btn btn-style-one">
						<span class="btn-wrap">
							<span class="text-one"><?php echo wp_kses($options->get('btn_title_v3'), true); ?></span>
							<span class="text-two"><?php echo wp_kses($options->get('btn_title_v3'), true); ?></span>
						</span>
					</a>
				</div>
                <?php } ?>
			</div>
		</div>
	</section>
	<!-- End CTA One -->
	<?php } ?>
    
	<!-- Footer Style -->
	<footer class="main-footer style-three <?php if(! $options->get('show_cta_v3')) echo 'm-0'; ?>">
		<?php if($options->get('show_footer_img_v3')){ ?>
        <div class="footer_bg-image" style="background-image: url('<?php echo esc_url($footer_img_v3); ?>');"></div>
		<?php } ?>
		<div class="auto-container">
			<div class="inner-container <?php if(! $options->get('show_cta_v3')) echo 'ptb-100'; ?>">
				<?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>
                <!-- Widgets Section -->
				<div class="widgets-section">
					<div class="row clearfix">
						<?php dynamic_sidebar( 'footer-sidebar' ); ?>
					</div>
				</div>
                <?php } ?>
			</div>
		</div>
        
        <?php if($options->get('copyright_text_v3')){ ?>
		<div class="footer-bottom">
			<?php if( !empty( $footer_bg_img_v3['url'] ) ){?>
			<div class="footer_bottom-bg" style="background-image: url(<?php echo esc_url( $footer_bg_img_v3['url'] ); ?>)"></div>
			<?php };?>
			<div class="auto-container">
				<div class="d-flex justify-content-between align-items-center flex-wrap">
					<div class="copyright"><?php echo wp_kses( $options->get( 'copyright_text_v3' ), true ); ?></div>
					<?php if( $options->get('show_footer_menu_v3') ){ ?>
                    <ul class="footer-nav">
						<?php wp_nav_menu( array( 'theme_location' => 'footer_menu', 'container_id' => 'navbar-collapse-1',
							'container_class'=>'navbar-collapse collapse navbar-right',
							'menu_class'=>'nav navbar-nav',
							'fallback_cb'=>false,
							'items_wrap' => '%3$s',
							'container'=>false,
							'depth'=>'1',
							'walker'=> new Bootstrap_walker()
						)); ?>
					</ul>
                    <?php } ?>
				</div>
			</div>
		</div>
        <?php } ?>
        
	</footer>
	<!-- End Footer Style -->