<?php
$options = alquran_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Dark Logo Settings
$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Light Logo Settings
$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );


$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>

		
        <?php if($options->get('show_seach_form_v1')){ ?>
		<!-- Search Popup -->
        <div class="search-popup">
            <div class="color-layer"></div>
            <button class="close-search"><span class="flaticon-close-1"></span></button>
            <?php get_template_part('searchform1')?>
        </div>
        <!-- End Search Popup -->
        <?php } ?>
        
        <!-- Main Header -->
        <header class="main-header">
           
            <?php if($options->get('show_topbar_v1')){ ?>
            <!-- Header Top -->
            <div class="header-top">
                <div class="auto-container">
                    <div class="inner-container">
                        <div class="d-flex justify-content-between align-items-center flex-wrap">
                            <?php if($options->get('emil_v1') || $options->get('address_v1')){ ?>
                            <div class="left-box d-flex align-items-center flex-wrap">
                                <!-- Info List -->
                                <ul class="header-top_list">
                                    <?php if($options->get('emil_v1')){ ?><li><span class="icon fa-solid fa-envelope fa-fw"></span><?php echo wp_kses($options->get('emil_v1'), true); ?></li><?php  } ?>	
                                    <?php if($options->get('address_v1')){ ?><li><span class="icon fa-solid fa-location-dot fa-fw"></span><?php echo wp_kses($options->get('address_v1'), true); ?></li><?php  } ?>	
                                </ul>
                                <div class="bismillah"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/icons/bismillah.png" alt="<?php esc_attr_e('Awesome Image', 'alquran'); ?>" /> </div>
                            </div>
                            <?php } ?>
                            <ul class="header-top_list-two">
                                <?php if($options->get('sunrise_time_v1')){ ?><li><span class="icon fa-regular fa-sun fa-fw"></span><?php echo wp_kses($options->get('sunrise_time_v1'), true); ?></li><?php  } ?>	
                                <?php if($options->get('sunset_time_v1')){ ?><li><span class="icon fa-solid fa-moon fa-fw"></span><?php echo wp_kses($options->get('sunset_time_v1'), true); ?></li><?php } ?>	
                                <?php if($options->get('phone_v1')){ ?><li><span class="icon fa-solid fa-phone fa-fw"></span><?php echo wp_kses($options->get('phone_v1'), true); ?></li><?php } ?>	
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
    		<?php } ?>
            
            <!-- Header Upper -->
            <div class="header-upper">
                <div class="auto-container">
                    <div class="inner-container">
                        <div class="d-flex justify-content-between align-items-center flex-wrap">
                            <div class="logo-box">
                                <div class="logo"><?php echo alquran_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?></div>
                            </div>
                            <div class="nav-outer">
                                <!-- Main Menu -->
                                <nav class="main-menu navbar-expand-md">
                                    <div class="navbar-header">
                                        <!-- Toggle Button -->    	
                                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>
                                    </div>
                                    
                                    <div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
                                        <ul class="navigation clearfix">
                                            <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
												'container_class'=>'navbar-collapse collapse navbar-right',
												'menu_class'=>'nav navbar-nav',
												'fallback_cb'=>false,
												'items_wrap' => '%3$s',
												'container'=>false,
												'depth'=>'3',
												'walker'=> new Bootstrap_walker()
											)); ?> 
                                        </ul>
                                    </div>
                                </nav>
                            </div>
                            
                            <!-- Main Menu End-->
                            <div class="outer-box d-flex align-items-center flex-wrap">
                                <?php if($options->get('show_seach_form_v1')){ ?>
                                <!-- Search Btn -->
                                <div class="search-box-btn search-box-outer"><span class="icon fa fa-search"></span></div>
    							<?php } ?>	
                                <?php if($options->get('show_register_icon_v1')){ ?>							
                                <!-- User Box -->
                                <?php if($options->get('register_link_v1')){ ?>	
                                <a class="user-box theme-btn" href="<?php echo esc_url($options->get('register_link_v1')); ?>">
                                    <span class="fa-regular fa-user fa-fw"></span>
                                </a>
    							<?php } } ?>	
                                <?php if( $options->get( 'show_button_v1' )){ ?>
                                <!-- Button Box -->
                                <div class="header_button-box">
                                    <a href="<?php echo esc_url($options->get('btn_link_v11')); ?>" class="theme-btn btn-style-one">
                                        <span class="btn-wrap">
                                            <span class="text-one"><?php echo wp_kses($options->get('btn_title_v11'), true); ?></span>
                                            <span class="text-two"><?php echo wp_kses($options->get('btn_title_v11'), true); ?></span>
                                        </span>
                                    </a>
                                </div>
    							<?php } ?>
                                <!-- Mobile Navigation Toggler -->
                                <div class="mobile-nav-toggler"><span class="icon flaticon-menu"></span></div>
                            </div>
    
                        </div>
                    </div>
                </div>
            </div>
            <!--End Header Upper-->
            
            <!-- Header Mobile Settings -->
            <?php get_template_part('templates/header/mobile_settings'); ?>
        
        </header>
        <!-- End Main Header -->